{ mkDerivation, QuickCheck, base, lib, tasty, tasty-bench
, tasty-expected-failure, tasty-inspection-testing
, tasty-quickcheck
}:
mkDerivation {
  pname = "infinite-list";
  version = "0.1.1";
  sha256 = "be6844861a29100031bc192cb846c403adb2bb1ea0ce0b65c26530671100afa8";
  isLibrary = true;
  isExecutable = false;
  enableSeparateDataOutput = false;
  libraryHaskellDepends = [ base ];
  testHaskellDepends = [
    base QuickCheck tasty tasty-expected-failure
    tasty-inspection-testing tasty-quickcheck
  ];
  benchmarkHaskellDepends = [ base tasty-bench ];
  enableLibraryProfiling = true;
  enableExecutableProfiling = true;
  doHaddock = true;
  jailbreak = true;
  doCheck = false;
  doBenchmark = false;
  hyperlinkSource = false;
  homepage = "https://github.com/Bodigrim/infinite-list";
  description = "Infinite lists";
  license = lib.licenses.bsd3;
  broken = false;
}